
Foreman - Feature #12630

Facets - Add facet declaration

11/30/2015 04:32 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Host creation   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2944

  

Description

Add the ability to declare facets on server initialization.

Related issues:

Related to Foreman - Feature #13417: Wrap Facet registration in plugin API Closed 01/27/2016

Related to Foreman - Feature #13873: Facets - add UI extension points Duplicate

Related to Foreman - Feature #17527: As a developer, I want to have facets ea... Closed

Associated revisions

Revision 96509134 - 01/14/2016 05:34 AM - Shimon Shtein

Fixes #12630 - Facets registration

History

#1 - 11/30/2015 05:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2944 added

#2 - 01/14/2016 06:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 965091345f3ccbd721fdce87c709747deab2f009.

#3 - 01/14/2016 06:43 AM - Dominic Cleal

- Category set to Host creation

- translation missing: en.field_release set to 71

#4 - 01/19/2016 08:56 AM - Dominic Cleal

Is this a plugin API or strictly Foreman only usage?  There's not any documentation on the plugin wiki or this ticket if it is, please address that.  (

http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin etc).

#5 - 01/28/2016 03:08 AM - Dominic Cleal

- Related to Feature #13417: Wrap Facet registration in plugin API added

#6 - 11/04/2017 12:13 PM - Timo Goebel

- Related to Feature #13873: Facets - add UI extension points added

#7 - 11/15/2017 01:51 PM - Timo Goebel

- Related to Feature #17527: As a developer, I want to have facets easily applicable to both hosts and host groups. added
